MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024940Community[OCCT] OCCT:Modeling Algorithmspublic2014-05-21 09:062014-11-11 12:59
Reporterlaurie123 
Assigned Toapn 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024940: Cyclic dependency detected between: BOPInt IntTools
DescriptionThere is a cyclic dependency between the two OCC packages BOPInt and IntTools.

Steps To ReproduceCreate a java interface package (whatever the correct terminology is) that (indirectly) uses either of the above packages.

Try to wprocess that package on non-windows.

No script.
Just test it.
Additional information
and documentation updates
WOKSteps_jini.edl does a full transitive dependency check on non-windows. (It seems to actually look inside the implementation files, not just rely on CDL declarations, which is cool.) This seems to run only when doing a java wrapper.

It fails to build our wrapper classes because of this cyclic dependency. We don't directly use either of those packages but we must use something that uses something that does.

This cyclic dependency has been there since OCC6.6.0, I believe.

Just for the record, this aspect of WOK is useful and it would be good when WOK is removed for this cyclic dependency checking tool to be retained, and made to run on Windows too.

I. New features:
 I.1 classes
BOPInt_Context
BOPInt_ShrunkRange
BOPInt_Tools
have been removed

I.2 package BOPInt has been removed

I.3 classes:
IntTools_Context
IntTools_ShrunkRange
have been added to replace corresponding BOPInt_ classes.
The classes provide same functionality as corresponding BOPInt_ classes.

II. Changes:
II.1. classes :
BOPAlgo_ArgumentAnalyzer
BOPAlgo_Builder
BOPAlgo_BuilderArea
BOPAlgo_BuilderFace
BOPAlgo_BuilderSolid
BOPAlgo_CheckerSI
BOPAlgo_PaveFiller
BOPAlgo_ShellSplitter
BOPTools_AlgoTools3D
BRepFill_TrimShellCorner
IntTools_BeanFaceIntersector
IntTools_EdgeFace
IntTools_FaceFace
IntTools_Tools
have been modified to use new classes IntTools_Context IntTools_ShrunkRange

II.2. class:
IntTools_Tools
has been modofied to provide the functionality that was in BOPInt_Tools

III. Modified entities:
packages:
BOPAlgo
BOPTools
BRepFill
IntTools
QANewModTopOpe
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029422)
laurie123 (reporter)
2014-05-21 09:17

Build logs:

     [exec] --------------------------------------------------------------------------------
     [exec] Workbench : :OS:OCC52:3deditui
     [exec] Extraction mode : DFLT
     [exec] Station : mac
     [exec] Compile mode : Debug
     [exec] Step number : 14
     [exec] --------------------------------------------------------------------------------
     [exec] Unit : interface UserInterface
     [exec] Steps : src xcpp.fill xcpp.server
     [exec] --------------------------------------------------------------------------------
     [exec] Unit : jini Gui
     [exec] Steps : src xcpp.fill xcpp.client xcpp.javac xcpp.javah
     [exec] obj.comp obj.idep exec.list exec.tks exec.link exec.rename
     [exec] --------------------------------------------------------------------------------
     [exec] =====> UserInterface:src is successfull
     [exec] =====> Gui:src is successfull
     [exec] =====> UserInterface:xcpp.fill is successfull
     [exec] =====> UserInterface:xcpp.server is successfull
     [exec] =====> Gui:xcpp.fill is successfull
     [exec] =====> Gui:xcpp.client is successfull
     [exec] =====> Gui:xcpp.javac is successfull
     [exec] =====> Gui:xcpp.javah is successfull
     [exec] =====> Gui:obj.comp is successfull
     [exec] =====> Gui:obj.idep is successfull
     [exec] =====> Gui:exec.list
     [exec] Error : Step exec.list failed
     [exec] Error : Consult /Users/laurie/Projects/Intrepid/hgfuture/_ant_build_future_xcode5.1.1_x86_64_debug/3dedit-671/3deditui/mac/obj/Gui/.adm/Gui_exec_list.Log for details
 
... and the contents of the log file mentioned ...

Error : Cyclic dependency detected between: BOPInt IntTools
Error : Failed during execution
(0029476)
abv (manager)
2014-05-22 17:33

Peter, here is the issue you have warned me about a month ago ;)
(0029486)
pkv (developer)
2014-05-23 12:02

The branch CR24940 is ready to review.
(0029488)
emv (developer)
2014-05-23 12:12

Reviewed, please test.
(0029495)
apn (administrator)
2014-05-23 14:47

Could you please rebase CR24940 to current master.
(0029507)
pkv (developer)
2014-05-26 10:50

The branch CR24940_1 is updated and ready to test
(0029538)
apn (administrator)
2014-05-27 12:18

Dear BugMaster,

Branch CR24940_1 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 738982ca9176244a175f681343595975d4c933de

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (205 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 359338248 / 359731944
Total CPU difference: 50309.83000000018 / 51526.47000000012

Testing on Windows:
Total MEMORY difference: 381778512 / 382747756
Total CPU difference: 36907.28125 / 39034.203125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 1e143abb
Timestamp: 2014-05-26 06:48:29
Author: pkv
Committer: apn
Details ] Diff ]
0024940: WOK: Cyclic dependency detected between: BOPInt IntTools

Classes BOPInt_Context, BOPInt_ShrunkRange, BOPInt_Tools have been removed.
Package BOPInt has been removed
Classes IntTools_Context, IntTools_ShrunkRange have been added to replace corresponding BOPInt_ classes.
The classes provide same functionality as corresponding BOPInt_ classes.
Classes :
BOPAlgo_ArgumentAnalyzer
BOPAlgo_Builder
BOPAlgo_BuilderArea
BOPAlgo_BuilderFace
BOPAlgo_BuilderSolid
BOPAlgo_CheckerSI
BOPAlgo_PaveFiller
BOPAlgo_ShellSplitter
BOPTools_AlgoTools3D
BRepFill_TrimShellCorner
IntTools_BeanFaceIntersector
IntTools_EdgeFace
IntTools_FaceFace
IntTools_Tools
have been modified to use new classes IntTools_Context IntTools_ShrunkRange

Class IntTools_Tools has been modofied to provide the functionality that was in BOPInt_Tools.
mod - adm/UDLIST Diff ] File ]
mod - src/BOPAlgo/BOPAlgo.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderArea.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderArea.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderFace.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckerSI.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckerSI_1.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cdl Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_2.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_4.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_5.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_9.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ShellSplitter.cxx Diff ] File ]
rm - src/BOPInt/BOPInt.cdl Diff ] File ]
rm - src/BOPInt/BOPInt_Tools.cdl Diff ] File ]
rm - src/BOPInt/BOPInt_Tools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools3D.cdl Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools3D.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]
mod - src/IntTools/IntTools.cdl Diff ] File ]
mod - src/IntTools/IntTools_BeanFaceIntersector.cdl Diff ] File ]
mod - src/IntTools/IntTools_BeanFaceIntersector.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeFace.cdl Diff ] File ]
mod - src/IntTools/IntTools_EdgeFace.cxx Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cdl Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
mod - src/IntTools/IntTools_Tools.cdl Diff ] File ]
mod - src/IntTools/IntTools_Tools.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Tools.cxx Diff ] File ]
mod - src/TKBO/PACKAGES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-21 09:06 laurie123 New Issue
2014-05-21 09:06 laurie123 Assigned To => kgv
2014-05-21 09:17 laurie123 Note Added: 0029422
2014-05-22 17:33 abv Note Added: 0029476
2014-05-22 17:33 abv Assigned To kgv => pkv
2014-05-22 17:33 abv Status new => assigned
2014-05-22 17:34 abv Category OCCT:WOK => OCCT:Modeling Algorithms
2014-05-23 11:59 pkv Additional Information Updated View Revisions
2014-05-23 11:59 pkv Steps to Reproduce Updated View Revisions
2014-05-23 12:00 pkv Status assigned => resolved
2014-05-23 12:02 pkv Note Added: 0029486
2014-05-23 12:03 pkv Assigned To pkv => emv
2014-05-23 12:12 emv Note Added: 0029488
2014-05-23 12:12 emv Assigned To emv => apn
2014-05-23 12:12 emv Status resolved => reviewed
2014-05-23 14:47 apn Note Added: 0029495
2014-05-23 14:48 apn Test case number => Not needed
2014-05-23 14:48 apn Assigned To apn => pkv
2014-05-23 14:48 apn Status reviewed => assigned
2014-05-26 10:49 pkv Status assigned => resolved
2014-05-26 10:50 pkv Status resolved => reviewed
2014-05-26 10:50 pkv Note Added: 0029507
2014-05-26 10:50 pkv Assigned To pkv => apn
2014-05-27 12:18 apn Note Added: 0029538
2014-05-27 12:18 apn Assigned To apn => bugmaster
2014-05-27 12:18 apn Status reviewed => tested
2014-05-27 12:18 apn Target Version => 6.8.0
2014-05-30 12:59 apn Changeset attached => occt master 1e143abb
2014-05-30 12:59 apn Assigned To bugmaster => apn
2014-05-30 12:59 apn Status tested => verified
2014-05-30 12:59 apn Resolution open => fixed
2014-10-06 11:14 kgv Summary WOK: Cyclic dependency detected between: BOPInt IntTools => Cyclic dependency detected between: BOPInt IntTools
2014-11-11 12:44 user533 Fixed in Version => 6.8.0
2014-11-11 12:59 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker